PACMATIC(1)

NAME
pacmatic - PACMATIC performs a bunch of mundane tasks that you must do before every invocation of Pacman. If you ever once forget any, you'll probably break your installation. ‘let's have the computer remind us. However, pacmatic will not think for you. It can not protect your system. It merely collects and presents information so that you can make an informed choice.

SYNOPSIS
pacmatic -[the same options as pacman] [the same arguments as pacman]
pacmatic --as-lib

DESCRIPTION
pacmatic wraps pacman. All arguments and options are passed directly through to pacman. What pacmatic adds to pacman is several pre and post operation checks. Features include reading the archlinux.org news, avoiding -Sy, dealing with pacnew files, reading a mailing list, free space, and logging pacman's exit status.

pacmatic can be configured by setting environment variables. Run pacmatic without any arguments or options to see the variables and values.

To source pacmatic in your own script, use the --as-lib flag.

ENV VARS
These are optional.

warn_time
    Seconds between -Sy and -Su

rss_feed
    The new feed to check before updates.

log_file
    Where the RSS news history is cached.

pacdiff_program
    The utility used for merging diffs.

pacman_program
    Command to launch pacman.

mail_list
    A URL to a flat textfile. (Interpreted to generate year-month.)

pacman_log
    The log file to inspect.

WRAPPERS
In case you want even higher levels of automation, there is a cron-pacmatic script. This script can be run periodically and will email you a summary of pacmatic output.

AUTHORS
-nosplit

pacmatic was written by Kyle Keen <keenerd@gmail.com> with bits of code from Christophe-Marie Duquesne, Falconindy and Brisbin.